%global pypi_name shellingham

Name:           python-%{pypi_name}
Version:        1.2.7
Release:        1%{?dist}
Summary:        Tool to detect surrounding Shell
License:        ISC
URL:            https://github.com/sarugaku/shellingham
Source0:        %{url}/archive/%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-mock

%description
Shellingham detects what shell the current Python executable is running in.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Shellingham detects what shell the current Python executable is running in.


%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%check
export PYTHONPATH=%{buildroot}%{python3_sitelib}
%{__python3} -m pytest -v

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst CHANGELOG.rst
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info/

%changelog
* Sun Nov 25 2018 Miro Hrončok <mhroncok@redhat.com> - 1.2.7-1
- Initial package
